package mg.dot.feufaro.solfa

class PNotes (var note: String, private var markers: MutableList<String> = mutableListOf("")) {
        fun addMarker(newMarker: String) {
        markers.add(newMarker)
    }
    fun hasMarker(marker: String): Boolean {
        return markers.contains(marker)
    }
    fun toNote(): Note {
        val newNote = Note(note)
        newNote.setMarkers(markers)
        return newNote
    }
    // appendNote is used in POneVoiceNote.appendLastNote()
    fun appendNote(noteSuffix: Char) {
        note += noteSuffix
    }
}